package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdItem;
import com.xmomen.module.base.entity.CdItemExample;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper
public interface CdItemMapper extends MybatisMapper {

    // 根据条件统计CdItem数量
    int countByExample(CdItemExample example);


    // 根据条件删除CdItem
    int deleteByExample(CdItemExample example);

    // 插入CdItem
    int insertSelective(CdItem record);

    // 根据条件更新CdItem
    int updateByExampleSelective(@Param("record") CdItem record, @Param("example") CdItemExample example);
}